Package org.spongepowered.asm.mixin.injection.invoke.arg

## Class ArgumentIndexOutOfBoundsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IndexOutOfBoundsException
        - - org.spongepowered.asm.mixin.injection.invoke.arg.ArgumentIndexOutOfBoundsException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ArgumentIndexOutOfBoundsException
    extends java.lang.IndexOutOfBoundsException

Exception thrown when attempting to set an argument (via) `Args` which is out of bounds

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ArgumentIndexOutOfBoundsException​(int index)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArgumentIndexOutOfBoundsException

    public ArgumentIndexOutOfBoundsException​(int index)